CREATE TABLE CRST_FA_CATEGORY_BOOKS
(
  CATEGORY_ID                  NUMBER(15),
  BOOK_TYPE_CODE               VARCHAR2(15 BYTE),
  LAST_UPDATE_DATE             DATE,
  LAST_UPDATED_BY              NUMBER(15),
  CREATED_BY                   NUMBER(15),
  CREATION_DATE                DATE,
  LAST_UPDATE_LOGIN            NUMBER(15),
  ASSET_CLEARING_ACCT          VARCHAR2(25 BYTE),
  ASSET_COST_ACCT              VARCHAR2(25 BYTE),
  ATTRIBUTE1                   VARCHAR2(150 BYTE),
  ATTRIBUTE2                   VARCHAR2(150 BYTE),
  ATTRIBUTE3                   VARCHAR2(150 BYTE),
  ATTRIBUTE4                   VARCHAR2(150 BYTE),
  ATTRIBUTE5                   VARCHAR2(150 BYTE),
  ATTRIBUTE6                   VARCHAR2(150 BYTE),
  ATTRIBUTE7                   VARCHAR2(150 BYTE),
  ATTRIBUTE8                   VARCHAR2(150 BYTE),
  ATTRIBUTE9                   VARCHAR2(150 BYTE),
  ATTRIBUTE10                  VARCHAR2(150 BYTE),
  ATTRIBUTE11                  VARCHAR2(150 BYTE),
  ATTRIBUTE12                  VARCHAR2(150 BYTE),
  ATTRIBUTE13                  VARCHAR2(150 BYTE),
  ATTRIBUTE14                  VARCHAR2(150 BYTE),
  ATTRIBUTE15                  VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE      VARCHAR2(30 BYTE),
  CIP_CLEARING_ACCT            VARCHAR2(25 BYTE),
  CIP_COST_ACCT                VARCHAR2(25 BYTE),
  DEPRN_EXPENSE_ACCT           VARCHAR2(25 BYTE),
  DEPRN_RESERVE_ACCT           VARCHAR2(25 BYTE),
  REVAL_AMORTIZATION_ACCT      VARCHAR2(25 BYTE),
  REVAL_RESERVE_ACCT           VARCHAR2(25 BYTE),
  ASSET_COST_ACCOUNT_CCID      NUMBER(15),
  ASSET_CLEARING_ACCOUNT_CCID  NUMBER(15),
  WIP_COST_ACCOUNT_CCID        NUMBER(15),
  WIP_CLEARING_ACCOUNT_CCID    NUMBER(15),
  RESERVE_ACCOUNT_CCID         NUMBER(15),
  REVAL_AMORT_ACCOUNT_CCID     NUMBER(15),
  REVAL_RESERVE_ACCOUNT_CCID   NUMBER(15),
  LIFE_EXTENSION_CEILING       NUMBER,
  LIFE_EXTENSION_FACTOR        NUMBER,
  PERCENT_SALVAGE_VALUE        NUMBER,
  GLOBAL_ATTRIBUTE1            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(30 BYTE),
  DEFAULT_GROUP_ASSET_ID       NUMBER(15),
  BONUS_DEPRN_EXPENSE_ACCT     VARCHAR2(25 BYTE),
  BONUS_DEPRN_RESERVE_ACCT     VARCHAR2(25 BYTE),
  BONUS_RESERVE_ACCT_CCID      NUMBER,
  DUMMY                             CHAR(1),
  LAST_UPDATED_NAME                 VARCHAR2(100),
  CREATED_NAME                      VARCHAR2(100),
  ASSET_COST_ACCOUNT_CCID_D         VARCHAR2(100),
  ASSET_CLEARING_ACCOUNT_CCID_D     VARCHAR2(100),
  WIP_COST_ACCOUNT_CCID_D           VARCHAR2(100),
  WIP_CLEARING_ACCOUNT_CCID_D       VARCHAR2(100),
  RESERVE_ACCOUNT_CCID_D            VARCHAR2(100),
  REVAL_AMORT_ACCOUNT_CCID_D        VARCHAR2(100),
  REVAL_RESERVE_ACCOUNT_CCID_D      VARCHAR2(100),
  BONUS_RESERVE_ACCT_CCID_D         VARCHAR2(100)
);
